import 'package:syncrow_web/pages/device_managment/ceiling_sensor/bloc/ceiling_bloc.dart';
import 'package:syncrow_web/pages/device_managment/factories/device_bloc_dependencies_factory.dart';

abstract final class CeilingSensorBlocFactory {
  const CeilingSensorBlocFactory._();

  static CeilingSensorBloc create({
    required String deviceId,
  }) {
    return CeilingSensorBloc(
      deviceId: deviceId,
      controlDeviceService:
          DeviceBlocDependenciesFactory.createControlDeviceService(),
      batchControlDevicesService:
          DeviceBlocDependenciesFactory.createBatchControlDevicesService(),
    );
  }
}
